<?php
#############################################################
# Project:      bCounter                                    #
# File:         visits_libs.php                             #
# Decription:   all visits of libraries
#                                                           #
# Copyright (c) Alexander Bondar (http://bondar.de/)        #
#############################################################

    $iPage = max( $_GET["page"]-1, 0);
    $strTitle .= ' | Programme | Seite '.($iPage+1);

    $iEintraegeProSeite = max( $_GET["eps"], $bCounter_visits_libs_eps );
    $strSQLstring = "SELECT COUNT(*) FROM ".$bCounter_dbPrefix."visits WHERE type='lib' OR type='downloader'";
    $SQLresult = $bCounterDB->query($strSQLstring);
    $iEintraegeGesamt = mysql_result( $SQLresult, 0, 0 );

    $strDivNav3 .= $bCounter->get_nav_pages( $iPage+1, $iEintraegeProSeite, $iEintraegeGesamt, $_GET["load"] );

    $strDivBody .= '<h2>Programme ('.zahl($iEintraegeGesamt).' ';
    if ( $iEintraegeGesamt == 1 )
        $strDivBody .= 'Eintrag';
    else
        $strDivBody .= 'Eintr&auml;ge';
    $strDivBody .= ')</h2>';

    $strSQLstring = "SELECT * FROM ".$bCounter_dbPrefix."visits WHERE type='lib' OR type='downloader' ORDER BY id DESC LIMIT ".($iPage*$iEintraegeProSeite).",$iEintraegeProSeite";
    $SQLresult = $bCounterDB->query($strSQLstring);

    if ( @mysql_num_rows($SQLresult) > 0 ) {
        $strDivBody .= '<table>';
        $strDivBody .= '<tr><th>ID</th><th>Zuletzt</th><th>Dauer</th><th>Seiten</th><th>Programm</th><th>Herkunft</th></tr>';

        for ( $i = 0; $i < mysql_num_rows($SQLresult); $i++ ) {
            $iID = mysql_result($SQLresult, $i, "id");
            $iFirstSeen = mysql_result($SQLresult, $i, "first_seen");
            $iLastSeen  = mysql_result($SQLresult, $i, "last_seen");
            $IP         = mysql_result($SQLresult, $i, "IP");

            $strOS          = mysql_result($SQLresult, $i, "os");
            $strOS_ver      = mysql_result($SQLresult, $i, "os_version");
            $strBrowser     = mysql_result($SQLresult, $i, "browser");
            $strBrowser_ver = mysql_result($SQLresult, $i, "browser_version");
            $strType        = mysql_result($SQLresult, $i, "type");
            $strAlpha2      = mysql_result($SQLresult, $i, "alpha2");

            $strDivBody .= '<tr>';
            $strDivBody .= '<td>'.$iID.'</td>';
            $strDivBody .= '<td><span class="lighter">'.date("d.m.y", $iLastSeen).'</span> '.date("H:i:s", $iLastSeen).'</td>';
            if ( $iLastSeen - $iFirstSeen > 0 ) {
            # mehr als ein Aufruf? => Aufenthaltsdauer anzeigen
                $strDivBody .= '<td class="right">';
                if ( $iLastSeen - $iFirstSeen >= 60 ){
                # Minuten anzeigen
                $strDivBody .= floor(($iLastSeen - $iFirstSeen)/60). 'm ';
                }
                $strDivBody .= (($iLastSeen - $iFirstSeen)%60). 's';
                $strDivBody .= '</td>';
            }else{
            # nur ein Aufruf => keine Daten auszuwerten
                $strDivBody .= '<td class="center">&#8213;</td>';
            }
            
            $strSQLstring = "SELECT COUNT(*) FROM ".$bCounter_dbPrefix."data WHERE timestamp >= '$iFirstSeen' AND timestamp <= '$iLastSeen' AND remote_addr='$IP'";
            $SQLresult_seitenaufrufe = $bCounterDB->query($strSQLstring);
            $strDivBody .= '<td class="right">';
            $strDivBody .= '<a href="./?load=show_visit_lib&amp;id='.$iID.'&amp;eps='.$iEintraegeProSeite.'&amp;page='.($iPage+1).'">'.mysql_result($SQLresult_seitenaufrufe,0,0).'</a>&nbsp;';
            $strDivBody .= '</td>';

            $strDivBody .= '<td><img src="./img/robot/'.getOSstring_img_robot($strOS).'.png" width="14" height="14" alt="'.getOSstring($strOS, $strOS_ver).'" />&nbsp;'.getOSstring($strOS, $strOS_ver).'</td>';

            $strDivBody .= '<td><img src="./img/alpha2/'.mysql_result($SQLresult, $i, "alpha2").'.png" width="16" height="11" alt="" /> '.$arrAlpha2name[mysql_result($SQLresult, $i, "alpha2")].'</td>';
            $strDivBody .= '</tr>';
        }
        $strDivBody .= '</table>';
    }else{
        $strDivBody .= '<div class="table">'."\n";
        $strDivBody .= '<p>Keine Daten vorhanden.</p>'."\n";
        $strDivBody .= '</div>'."\n";
    }
?>